/**
 * [OElove] (C)2010-2099 OElove.com
 * Email: service@phpcoo.com ,phpcoo@qq.com
 * This is NOT a freeware, use is subject to license terms
 *  Last update 2020/11/11 by OE 
*/
$(function(){
    function FriendBlack() {
        this.del();
    }
    FriendBlack.prototype = {
        //删除...
        del: function () {
            $(document).on("click", "[f='but_del_black']", function(){
                var id = $(this).attr("data-id");

                OEUI.modal.info({
                    title: "温馨提示",
                    content: "确定要删除吗？一旦删除将取消屏蔽",
                    comfirmText: "确定",
                    cancelText: "取消",
                    comfirm: function () {
                        $.ajax({
                            type: "POST",
                            url: _OE_FILE + "&c=friendblack",
                            cache: false,
                            data: {
                                a:"del", id:id, datatype:"json"
                            },
                            dataType: "json",
                            success: function(data) {
                                var json = eval(data);
                                var response = json.response;
                                var result = json.result;
                                if (response == "1") {
                                    OEUI.message.msg({text: "删除成功"});
                                    $("#list_"+id).remove();
                                }
                                else {
                                    if (result.length > 0) {
                                        OEUI.message.msg({text: result});
                                    }
                                    else {
                                        OEUI.message.msg({text: "删除失败"});
                                    }
                                }
                            },
                            error: function() {
                                OEUI.message.msg({text: "系统繁忙，请稍后再试"});
                            }
                        });
                    }
                });
            });
        }

    };
    new FriendBlack();
});
